#
# Mandatory for openpluginlib initialisation
#

import platform
import sys
import os.path

# This is required for the executable generated from py2exe
# to use the preinstalled openlibraries python bindings
sys.path.append(os.environ['PYTHONPATH'])

# Initialise the dynamic linking functionality - note that the ubuntu amd64
# distro lacks the dl module, hence fallback to the non-symbolic values

if platform.system( ) == "Linux":
	try:
		import dl
		sys.setdlopenflags( dl.RTLD_NOW | dl.RTLD_GLOBAL )
	except:
		sys.setdlopenflags( 257 )

