# encoder

# Copyright (C) 2006 VM Inc.
# Released under the GPL.
# For more information, see http://www.jahshaka.org.

# Used to generate a windows executable file + supporting files in ./dist
# also need *.ui files and jahplayer-back.jpg
# NOTE: Experimental - not at all finished!

from distutils.core import setup

import py2exe
import glob
import sys
import os.path
import shutil

setup(
    options =
    {
        "py2exe":
        {
            'dll_excludes': [   'openassetlib_al-vc71-r-0_4_0.dll',
                                'openimagelib_il-vc71-r-0_4_0.dll',
                                'openmedialib_ml-vc71-r-0_4_0.dll',
                                'openpluginlib_pl-vc71-r-0_4_0.dll',
                                'openobjectlib_sg-vc71-r-0_4_0.dll'],
            'excludes': ["openassetlib","openimagelib","openmedialib","openpluginlib"]
        }
    },
    name='jahEncoder',
    version = "0.2.0",
    description='An open source media encoder',
    url='http://www.jahshaka.org/',
    windows = [  {
		    "script":         "encoder.py",
                    "icon_resources": [(1, "jah.ico")]
                 }
              ],
    data_files=[ ("", ["encoder.ui", "mjpeg.ui", "dv.ui"] ),
                 ("", ["jahplayer-icon.png"])]
    )

shutil.copy("c:/windows/system32/msvcp71.dll", os.path.join(os.getcwd(), "dist", "msvcp71.dll"))

dir = os.path.join(os.getcwd(), "dist", "styles")
os.mkdir(dir)
shutil.copy(os.path.join(os.environ['QTDIR'], "plugins", "styles", "themes.dll"), os.path.join(dir, "themes.dll"))
